Servoy JasperReports Plugin - Defect #621

Problem with the plugins.jasperPluginRMI.relativeReportsDire
01/07/2013 11:54 AM - Sergio de Candelario

Status: Closed Start date: 01/07/2013
Priority: Normal Due date:

Assignee: Andrei Costache % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

I'm actually using iReport to design my reports, and jasPErREports to execute them, and now I'm trying the additional path to
execute subreports and styles files. But i don't know how exactly work. My reports are based in foundset servoy, and if not especify
the relative directories, the report it's imposible to find anyhing. How exactly work this parameter?
this is my actual configuration, any one can help me? thanks

PS: For more info i created a post in the servoy forum https://www.servoy.com/forum/viewtopic.php?f=158t=19163

History

#1 - 01/22/2013 04:11 PM - Andrei Costache
- Status changed from Feedback to In Progress
- Assignee set to Andrei Costache

- % Done changed from 0 to 40

The loading of subreports works - see the corresponding forum topic (so would image loading), if the wiki related instructions are applied; this case
will address the loading of styles, in the foundset scenario specially.

#2 - 01/22/2013 04:15 PM - Sergio de Candelario

My problem is, if i put a relative path to load the styles, the report isn't enough smart to load on the server, and goes to find in locally, i think is
interesting have some similar to com.servoy.plugins.jasperreports.JasperReportsResourceLoader.loadReport, but instead of load the report have a
loadStyle for example.

#3 - 06/07/2013 12:27 PM - Rossen Totev

We have the same issue with the styles files.
The report templates (.jrxml) and the styles (.jrtx) are in the same directory. In the web client running a report results in:

Error: JavaException: java.lang.Exception: Byte data not found at : argos.report_styles.jrtx
It appears that the report engine cannot find the styles file which is referenced as:
plugins.jasperPluginRMI.relativeReportsDirectory + '/argos.report_styles.jrix'

Note: If we use the deprecated property reportsDirectory everything works fine. Again, what is the problem of having a readOnly property or a getter
method which returns the absolute path to the reports directory?

#4 - 06/07/2013 02:19 PM - Andrei Costache
- % Done changed from 40 to 80

#5 - 06/07/2013 02:20 PM - Andrei Costache

This case is currently in progress and close to finishing; a few more steps are to be done until it can be marked 100% added.

Regards,
Andrei

#6 - 06/07/2013 03:58 PM - Andrei Costache
https://www.servoy.com/forum/viewtopic.php?f=15&t=19163
https://www.servoyforge.net/boards/13/topics/707

- % Done changed from 80 to 100

Feature added.

Documentation also added on the foundset based reports wiki.

#7 - 06/19/2013 09:40 PM - Rossen Totev

When do you plan to have a new release of the plugin which will include the fix?

#8 - 08/17/2013 04:19 PM - Andrei Costache

Rossen Totev wrote:

When do you plan to have a new release of the plugin which will include the fix?

New plugin version ready; please check out the release notes.

Regards,
Andrei

#9 - 08/17/2013 04:19 PM - Andrei Costache

- Status changed from In Progress to Closed
https://www.servoyforge.net/projects/servoy-jasperreports/wiki/Foundset_Based_Reports_Guidelines
https://www.servoyforge.net/projects/servoy-jasperreports/wiki/Servoy_JasperReports_Plugin_v401_-_Release_Notes
http://www.tcpdf.org

